Mailinglist Archive: opensuse-commit (1905 mails)

< Previous Next >
commit python3 for openSUSE:Factory
Hello community,

here is the log from the commit of package python3 for openSUSE:Factory checked
in at 2019-04-02 09:16:21
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/python3 (Old)
and /work/SRC/openSUSE:Factory/.python3.new.25356 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "python3"

Tue Apr 2 09:16:21 2019 rev:92 rq:689912 version:3.7.2

Changes:
--------
--- /work/SRC/openSUSE:Factory/python3/python3-base.changes 2019-02-02
21:46:00.244149482 +0100
+++ /work/SRC/openSUSE:Factory/.python3.new.25356/python3-base.changes
2019-04-02 09:16:30.940415243 +0200
@@ -1,0 +2,16 @@
+Wed Mar 20 14:59:58 UTC 2019 - Matěj Cepl <mcepl@xxxxxxxx>
+
+- Remove building of Qt Develop help files.
+
+-------------------------------------------------------------------
+Fri Mar 15 15:10:30 CET 2019 - Matej Cepl <mcepl@xxxxxxxx>
+
+- Return distutils-reproducible-compile.patch which is still
+ missing (still unfinished bpo#29708).
+
+-------------------------------------------------------------------
+Tue Feb 12 10:25:52 CET 2019 - Matej Cepl <mcepl@xxxxxxxx>
+
+- Build nis module again.
+
+-------------------------------------------------------------------
@@ -277,0 +294,5 @@
+
+-------------------------------------------------------------------
+Thu May 17 18:26:42 UTC 2018 - hpj@xxxxxxxxx
+
+- disable lto with gcc versions below 7 (results in link failures)
--- /work/SRC/openSUSE:Factory/python3/python3-doc.changes 2019-02-02
21:46:02.416147601 +0100
+++ /work/SRC/openSUSE:Factory/.python3.new.25356/python3-doc.changes
2019-04-02 09:16:33.160417598 +0200
@@ -1,0 +2,11 @@
+Fri Mar 15 15:10:30 CET 2019 - Matej Cepl <mcepl@xxxxxxxx>
+
+- Return distutils-reproducible-compile.patch which is still
+ missing (still unfinished bpo#29708).
+
+-------------------------------------------------------------------
+Tue Feb 12 10:25:52 CET 2019 - Matej Cepl <mcepl@xxxxxxxx>
+
+- Build nis module again.
+
+-------------------------------------------------------------------
@@ -277,0 +289,5 @@
+
+-------------------------------------------------------------------
+Thu May 17 18:26:42 UTC 2018 - hpj@xxxxxxxxx
+
+- disable lto with gcc versions below 7 (results in link failures)
python3.changes: same change

New:
----
distutils-reproducible-compile.patch

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ python3-base.spec ++++++
--- /var/tmp/diff_new_pack.9xb6xw/_old 2019-04-02 09:16:40.444425328 +0200
+++ /var/tmp/diff_new_pack.9xb6xw/_new 2019-04-02 09:16:40.556425447 +0200
@@ -55,7 +55,7 @@
# pyexpat.cpython-35m-powerpc64le-linux-gnu
# pyexpat.cpython-35m-armv7-linux-gnueabihf
%define dynlib()
%{sitedir}/lib-dynload/%{1}.cpython-%{abi_tag}-%{archname}-%{_os}%{?_gnu}%{?armsuffix}.so
-### COMMON-DEF-END ###
+
# that thing where "without" means "default=on" and vice versa
%bcond_without testsuite
# %%if 0%%{?do_profiling}
@@ -63,6 +63,14 @@
# %%else
# %%bcond_with profileopt
# %%endif
+
+%if 0%{?gcc_version} >= 7
+%bcond_without ltopt
+%else
+%bcond_with ltopt
+%endif
+### COMMON-DEF-END ###
+
Name: python3-base
Version: 3.7.2
Release: 0
@@ -116,13 +124,6 @@
BuildRequires: libexpat-devel
# _ctypes
BuildRequires: libffi-devel
-# Installed libnsl-devel leads to build failures on nismodule.o
-# https://bugs.python.org/issue32007
-# %%if 0%%{?sle_version} >= 1500 && 0%%{?is_opensuse}
-# # nis
-# BuildRequires: libnsl-devel
-# %%endif
-# _lzma
BuildRequires: lzma-devel
# ssl
BuildRequires: openssl-devel >= 1.0.2
@@ -140,11 +141,13 @@
# /SECTION
### COMMON-PATCH-BEGIN ###
# support lib-vs-lib64 distinction
-# New version from https://bugs.python.org/issue34032
-# Patch02: python-3.6.0-multilib-new.patch
+# New version from bpo#34032
# Unfortunately, the new version is still broken, so we have to use the
# old one
Patch02: python-3.6.0-multilib.patch
+# PATCH-FEATURE-UPSTREAM distutils-reproducible-compile.patch
gh#python/cpython#8057 mcepl@xxxxxxxx
+# Improve reproduceability
+Patch03: distutils-reproducible-compile.patch
# support finding packages in /usr/local, install to /usr/local by default
Patch04: python-3.3.0b1-localpath.patch
# replace DATE, TIME and COMPILER by fixed definitions to aid reproducible
builds
@@ -255,6 +258,7 @@

### COMMON-PREP-BEGIN ###
%patch02 -p1
+%patch03 -p1
%patch04
%patch06 -p1
%patch09 -p1
@@ -310,7 +314,7 @@
--with-ensurepip=no \
--with-system-ffi \
--with-system-expat \
-%if 0%{?sle_version} >= 150000 && 0%{?is_opensuse}
+%if %{with ltopt}
--with-lto \
%endif
%if %{with profileopt}
@@ -356,7 +360,7 @@
for dir in curses dbm sqlite3 tkinter; do
find "%{buildroot}/%{sitedir}/$dir"/* -maxdepth 0 -name "test" -o -exec rm
-rf {} +
done
-# rm $RPM_BUILD_ROOT%{dynlib pyexpat}
+rm -fv $RPM_BUILD_ROOT%{dynlib nis}

# overwrite the copied binary with a link
ln -sf python%{python_version} %{buildroot}%{_bindir}/python3
@@ -531,11 +535,8 @@
%{dynlib mmap}
%{dynlib _multibytecodec}
%{dynlib _multiprocessing}
-%if 0%{?suse_version} < 1500
-%{dynlib nis}
-%endif
-%{dynlib ossaudiodev}
%{dynlib _opcode}
+%{dynlib ossaudiodev}
%{dynlib parser}
%{dynlib _pickle}
%{dynlib _posixsubprocess}
@@ -545,8 +546,8 @@
%{dynlib resource}
%{dynlib select}
%{dynlib _socket}
-%{dynlib _ssl}
%{dynlib spwd}
+%{dynlib _ssl}
%{dynlib _struct}
%{dynlib syslog}
%{dynlib termios}

++++++ python3-doc.spec ++++++
--- /var/tmp/diff_new_pack.9xb6xw/_old 2019-04-02 09:16:40.900425811 +0200
+++ /var/tmp/diff_new_pack.9xb6xw/_new 2019-04-02 09:16:40.928425842 +0200
@@ -49,6 +49,20 @@
# pyexpat.cpython-35m-powerpc64le-linux-gnu
# pyexpat.cpython-35m-armv7-linux-gnueabihf
%define dynlib()
%{sitedir}/lib-dynload/%{1}.cpython-%{abi_tag}-%{archname}-%{_os}%{?_gnu}%{?armsuffix}.so
+
+# that thing where "without" means "default=on" and vice versa
+%bcond_without testsuite
+# %%if 0%%{?do_profiling}
+%bcond_without profileopt
+# %%else
+# %%bcond_with profileopt
+# %%endif
+
+%if 0%{?gcc_version} >= 7
+%bcond_without ltopt
+%else
+%bcond_with ltopt
+%endif
### COMMON-DEF-END ###
#
Name: python3-doc
@@ -59,7 +73,6 @@
Group: Documentation/HTML
URL: http://www.python.org/
Source0:
http://www.python.org/ftp/python/%{tarversion}/%{tarname}.tar.xz
-BuildRequires: libqt5-qttools
BuildRequires: python3-Sphinx >= 1.2
BuildRequires: xz
Enhances: python3 = %{python_version}
@@ -67,11 +80,13 @@
# for consistency:
### COMMON-PATCH-BEGIN ###
# support lib-vs-lib64 distinction
-# New version from https://bugs.python.org/issue34032
-# Patch02: python-3.6.0-multilib-new.patch
+# New version from bpo#34032
# Unfortunately, the new version is still broken, so we have to use the
# old one
Patch02: python-3.6.0-multilib.patch
+# PATCH-FEATURE-UPSTREAM distutils-reproducible-compile.patch
gh#python/cpython#8057 mcepl@xxxxxxxx
+# Improve reproduceability
+Patch03: distutils-reproducible-compile.patch
# support finding packages in /usr/local, install to /usr/local by default
Patch04: python-3.3.0b1-localpath.patch
# replace DATE, TIME and COMPILER by fixed definitions to aid reproducible
builds
@@ -116,25 +131,13 @@
Python, and Macintosh Module Reference in format for devhelp.


-%package qthelp
-Summary: Additional Package Documentation for Python 3 in QtHelp format
-Group: Documentation/Other
-
-%description qthelp
-Tutorial, Global Module Index, Language Reference, Library Reference,
-Extending and Embedding Reference, Python/C API Reference, Documenting
-Python, and Macintosh Module Reference.
-
-This package allows use of the Python3 documentation in QtAssistant or
-KDevelop.
-
-
%prep
%setup -q -n %{tarname}

# for consistency
### COMMON-PREP-BEGIN ###
%patch02 -p1
+%patch03 -p1
%patch04
%patch06 -p1
%patch09 -p1
@@ -177,12 +180,10 @@
cd Doc
sed -i "s/^today = .*/today = '$TODAY_DATE'/" conf.py
make -j1 html
+
# Build also devhelp files
sphinx-build -a -b devhelp . build/devhelp
-
-# create a .qch file that can be used in QtAssistant or KDevelop
-sphinx-build -a -b qthelp . build/qthelp
-qhelpgenerator-qt5 build/qthelp/Python.qhp -o build/qthelp/Python.qch
+rm -rfv build/devhelp/.doctrees

%install
export PDOCS=%{buildroot}%{_docdir}/python3
@@ -190,7 +191,6 @@
# generated docs
rm Doc/build/*/.buildinfo
cp -r Doc/build/html $PDOCS
-install -m 644 Doc/build/qthelp/Python.qch $PDOCS
# misc
install -d -m 755 $PDOCS/Misc
rm Misc/README.AIX
@@ -200,6 +200,7 @@
# devhelp
mkdir -p %{buildroot}%{_datadir}/gtk-doc/html/python3
cp -r Doc/build/devhelp %{buildroot}%{_datadir}/gtk-doc/html/Python
+rm -rf %{buildroot}%{_datadir}/gtk-doc/html/Python/.doctrees

%files
%defattr(644, root, root, 755)
@@ -212,7 +213,4 @@
%dir %{_datadir}/gtk-doc/html
%doc %{_datadir}/gtk-doc/html/Python

-%files qthelp
-%doc %{_docdir}/python3/Python.qch
-
%changelog

++++++ python3.spec ++++++
--- /var/tmp/diff_new_pack.9xb6xw/_old 2019-04-02 09:16:41.188426117 +0200
+++ /var/tmp/diff_new_pack.9xb6xw/_new 2019-04-02 09:16:41.212426143 +0200
@@ -54,6 +54,20 @@
# pyexpat.cpython-35m-powerpc64le-linux-gnu
# pyexpat.cpython-35m-armv7-linux-gnueabihf
%define dynlib()
%{sitedir}/lib-dynload/%{1}.cpython-%{abi_tag}-%{archname}-%{_os}%{?_gnu}%{?armsuffix}.so
+
+# that thing where "without" means "default=on" and vice versa
+%bcond_without testsuite
+# %%if 0%%{?do_profiling}
+%bcond_without profileopt
+# %%else
+# %%bcond_with profileopt
+# %%endif
+
+%if 0%{?gcc_version} >= 7
+%bcond_without ltopt
+%else
+%bcond_with ltopt
+%endif
### COMMON-DEF-END ###
#
Name: python3
@@ -76,11 +90,10 @@
BuildRequires: libbz2-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
-# Installed libnsl-devel leads to build failures on nismodule.o
-# https://bugs.python.org/issue32007
-# %%if 0%%{?sle_version} >= 1500 && 0%%{?is_opensuse}
-# BuildRequires: libnsl-devel
-# %%endif
+%if 0%{?suse_version} >= 1500
+BuildRequires: libnsl-devel
+BuildRequires: libtirpc-devel
+%endif
BuildRequires: bluez-devel
BuildRequires: lzma-devel
BuildRequires: ncurses-devel
@@ -106,11 +119,13 @@
#
### COMMON-PATCH-BEGIN ###
# support lib-vs-lib64 distinction
-# New version from https://bugs.python.org/issue34032
-# Patch02: python-3.6.0-multilib-new.patch
+# New version from bpo#34032
# Unfortunately, the new version is still broken, so we have to use the
# old one
Patch02: python-3.6.0-multilib.patch
+# PATCH-FEATURE-UPSTREAM distutils-reproducible-compile.patch
gh#python/cpython#8057 mcepl@xxxxxxxx
+# Improve reproduceability
+Patch03: distutils-reproducible-compile.patch
# support finding packages in /usr/local, install to /usr/local by default
Patch04: python-3.3.0b1-localpath.patch
# replace DATE, TIME and COMPILER by fixed definitions to aid reproducible
builds
@@ -185,6 +200,7 @@
%setup -q -n %{tarname}
### COMMON-PREP-BEGIN ###
%patch02 -p1
+%patch03 -p1
%patch04
%patch06 -p1
%patch09 -p1
@@ -240,7 +256,7 @@
--with-ensurepip=no \
--with-system-ffi \
--with-system-expat \
-%if 0%{?sle_version} >= 150000 && 0%{?is_opensuse}
+%if %{with ltopt}
--with-lto \
%endif
%if %{with profileopt}
@@ -372,10 +388,8 @@
%dir %{sitedir}/lib-dynload
%{sitedir}/sqlite3
%exclude %{sitedir}/sqlite3/test
-%if 0%{?suse_version} < 1500
-%{dynlib nis}
-%endif
%{dynlib readline}
%{dynlib _sqlite3}
+%{dynlib nis}

%changelog


++++++ distutils-reproducible-compile.patch ++++++
Index: Python-3.6.2/Lib/distutils/util.py
===================================================================
--- Python-3.6.2.orig/Lib/distutils/util.py
+++ Python-3.6.2/Lib/distutils/util.py
@@ -431,7 +431,7 @@ byte_compile(files, optimize=%r, force=%
else:
from py_compile import compile

- for file in py_files:
+ for file in sorted(py_files):
if file[-3:] != ".py":
# This lets us be lazy and not filter filenames in
# the "install_lib" command.
++++++ import_failed.map ++++++
--- /var/tmp/diff_new_pack.9xb6xw/_old 2019-04-02 09:16:41.932426907 +0200
+++ /var/tmp/diff_new_pack.9xb6xw/_new 2019-04-02 09:16:41.936426911 +0200
@@ -4,4 +4,4 @@
python3-tk: tkinter _tkinter
python3-curses: curses _curses _curses_panel
python3-dbm: dbm _dbm _gdbm
-python3: sqlite3 nis readline _sqlite3
+python3: sqlite3 readline _sqlite3 nis



< Previous Next >
This Thread
  • No further messages